<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/KeyboardManager/XHXTextKeyboardManager.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_text_keyboard_manager_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">XHXTextKeyboardManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_text_keyboard_manager_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  XHXKeyboardManager.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  KKLOnlineHD</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by Leovir on 2018/2/28.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Copyright © 2018年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//  Copyed from YYTextKeyboardManager in order to expend XHXFramework.</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;NS_ASSUME_NONNULL_BEGIN</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="struct_x_h_x_text_keyboard_transition.html">   18</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span>{</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="struct_x_h_x_text_keyboard_transition.html#a0b00535442714dc6ccf8e68a34fb91f3">   19</a></span>&#160;    BOOL <a class="code" href="struct_x_h_x_text_keyboard_transition.html#a0b00535442714dc6ccf8e68a34fb91f3">fromVisible</a>; </div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="struct_x_h_x_text_keyboard_transition.html#af664f9a3d1c9aa90b635f6c94c383679">   20</a></span>&#160;    BOOL <a class="code" href="struct_x_h_x_text_keyboard_transition.html#af664f9a3d1c9aa90b635f6c94c383679">toVisible</a>;   </div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="struct_x_h_x_text_keyboard_transition.html#aad15905ae428fe9bfdfad2010087b680">   21</a></span>&#160;    CGRect <a class="code" href="struct_x_h_x_text_keyboard_transition.html#aad15905ae428fe9bfdfad2010087b680">fromFrame</a>; </div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="struct_x_h_x_text_keyboard_transition.html#a97527530fdc984218af25924c085e936">   22</a></span>&#160;    CGRect <a class="code" href="struct_x_h_x_text_keyboard_transition.html#a97527530fdc984218af25924c085e936">toFrame</a>;   </div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="struct_x_h_x_text_keyboard_transition.html#a6d215ca6c6f122a9a0af0e7b48040693">   23</a></span>&#160;    NSTimeInterval <a class="code" href="struct_x_h_x_text_keyboard_transition.html#a6d215ca6c6f122a9a0af0e7b48040693">animationDuration</a>;       </div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="struct_x_h_x_text_keyboard_transition.html#afacd2636b7e1409a917dad69d10a06e1">   24</a></span>&#160;    UIViewAnimationCurve <a class="code" href="struct_x_h_x_text_keyboard_transition.html#afacd2636b7e1409a917dad69d10a06e1">animationCurve</a>;    </div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_keyboard_manager.html#aa8017a158e3aae47235dcfaf95bd947b">   25</a></span>&#160;    UIViewAnimationOptions animationOption; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;} <a class="code" href="struct_x_h_x_text_keyboard_transition.html">XHXTextKeyboardTransition</a>;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="protocol_x_h_x_text_keyboard_observer-p.html">   33</a></span>&#160;<span class="keyword">@protocol </span><a class="code" href="protocol_x_h_x_text_keyboard_observer-p.html">XHXTextKeyboardObserver</a> &lt;NSObject&gt;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">@optional</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;- (void)keyboardChangedWithTransition:(<a class="code" href="struct_x_h_x_text_keyboard_transition.html">XHXTextKeyboardTransition</a>)transition;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; </div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_keyboard_manager.html">   46</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_text_keyboard_manager.html">XHXTextKeyboardManager</a> : NSObject</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;- (instancetype)init <a class="code" href="interface_x_h_x_text_keyboard_manager.html#aa8017a158e3aae47235dcfaf95bd947b">UNAVAILABLE_ATTRIBUTE</a>;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;+ (instancetype)new <a class="code" href="interface_x_h_x_text_keyboard_manager.html#aa8017a158e3aae47235dcfaf95bd947b">UNAVAILABLE_ATTRIBUTE</a>;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;+ (nullable instancetype)<a class="code" href="interface_x_h_x_text_keyboard_manager.html#aabbe90d0540d26343ca02eed90abb2fd">defaultManager</a>;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; </div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_keyboard_manager.html#aa491574a2e8b5ab1352f8e5615ca6ef4">   55</a></span>&#160;<span class="keyword">@property</span> (nullable, nonatomic, readonly) UIWindow *<a class="code" href="interface_x_h_x_text_keyboard_manager.html#aa491574a2e8b5ab1352f8e5615ca6ef4">keyboardWindow</a>;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160; </div>
<div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_keyboard_manager.html#af91fb8bd3f946a6f31b51e1f33879ef6">   58</a></span>&#160;<span class="keyword">@property</span> (nullable, nonatomic, readonly) UIView *<a class="code" href="interface_x_h_x_text_keyboard_manager.html#af91fb8bd3f946a6f31b51e1f33879ef6">keyboardView</a>;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_keyboard_manager.html#a300dd1d5b91c7b6c7c835673897dfe05">   61</a></span>&#160;<span class="keyword">@property</span> (nonatomic, readonly, getter=isKeyboardVisible) BOOL <a class="code" href="interface_x_h_x_text_keyboard_manager.html#a300dd1d5b91c7b6c7c835673897dfe05">keyboardVisible</a>;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div>
<div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="interface_x_h_x_text_keyboard_manager.html#ab0735fbc05863c75b54e12fb9b59c440">   65</a></span>&#160;<span class="keyword">@property</span> (nonatomic, readonly) CGRect <a class="code" href="interface_x_h_x_text_keyboard_manager.html#ab0735fbc05863c75b54e12fb9b59c440">keyboardFrame</a>;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160; </div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;- (void)addObserver:(<span class="keywordtype">id</span>&lt;<a class="code" href="protocol_x_h_x_text_keyboard_observer-p.html">XHXTextKeyboardObserver</a>&gt;)observer;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160; </div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;- (void)removeObserver:(<span class="keywordtype">id</span>&lt;<a class="code" href="protocol_x_h_x_text_keyboard_observer-p.html">XHXTextKeyboardObserver</a>&gt;)observer;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160; </div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;- (CGRect)convertRect:(CGRect)rect toView:(nullable UIView *)view;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160; </div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160; </div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;NS_ASSUME_NONNULL_END</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="astruct_x_h_x_text_keyboard_transition_html_a6d215ca6c6f122a9a0af0e7b48040693"><div class="ttname"><a href="struct_x_h_x_text_keyboard_transition.html#a6d215ca6c6f122a9a0af0e7b48040693">XHXTextKeyboardTransition::animationDuration</a></div><div class="ttdeci">NSTimeInterval animationDuration</div><div class="ttdoc">Keyboard transition animation duration.</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_text_keyboard_manager_8h_source.html#l00023">XHXTextKeyboardManager.h:23</a></div></div>
<div class="ttc" id="aprotocol_x_h_x_text_keyboard_observer-p_html"><div class="ttname"><a href="protocol_x_h_x_text_keyboard_observer-p.html">XHXTextKeyboardObserver-p</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_text_keyboard_manager_8h_source.html#l00033">XHXTextKeyboardManager.h:33</a></div></div>
<div class="ttc" id="astruct_x_h_x_text_keyboard_transition_html_aad15905ae428fe9bfdfad2010087b680"><div class="ttname"><a href="struct_x_h_x_text_keyboard_transition.html#aad15905ae428fe9bfdfad2010087b680">XHXTextKeyboardTransition::fromFrame</a></div><div class="ttdeci">CGRect fromFrame</div><div class="ttdoc">Keyboard frame before transition.</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_text_keyboard_manager_8h_source.html#l00021">XHXTextKeyboardManager.h:21</a></div></div>
<div class="ttc" id="astruct_x_h_x_text_keyboard_transition_html_afacd2636b7e1409a917dad69d10a06e1"><div class="ttname"><a href="struct_x_h_x_text_keyboard_transition.html#afacd2636b7e1409a917dad69d10a06e1">XHXTextKeyboardTransition::animationCurve</a></div><div class="ttdeci">UIViewAnimationCurve animationCurve</div><div class="ttdoc">Keyboard transition animation curve.</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_text_keyboard_manager_8h_source.html#l00024">XHXTextKeyboardManager.h:24</a></div></div>
<div class="ttc" id="astruct_x_h_x_text_keyboard_transition_html_af664f9a3d1c9aa90b635f6c94c383679"><div class="ttname"><a href="struct_x_h_x_text_keyboard_transition.html#af664f9a3d1c9aa90b635f6c94c383679">XHXTextKeyboardTransition::toVisible</a></div><div class="ttdeci">BOOL toVisible</div><div class="ttdoc">Keyboard visible after transition.</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_text_keyboard_manager_8h_source.html#l00020">XHXTextKeyboardManager.h:20</a></div></div>
<div class="ttc" id="ainterface_x_h_x_text_keyboard_manager_html_aa8017a158e3aae47235dcfaf95bd947b"><div class="ttname"><a href="interface_x_h_x_text_keyboard_manager.html#aa8017a158e3aae47235dcfaf95bd947b">-[XHXTextKeyboardManager UNAVAILABLE_ATTRIBUTE]</a></div><div class="ttdeci">instancetype UNAVAILABLE_ATTRIBUTE()</div></div>
<div class="ttc" id="astruct_x_h_x_text_keyboard_transition_html_a97527530fdc984218af25924c085e936"><div class="ttname"><a href="struct_x_h_x_text_keyboard_transition.html#a97527530fdc984218af25924c085e936">XHXTextKeyboardTransition::toFrame</a></div><div class="ttdeci">CGRect toFrame</div><div class="ttdoc">Keyboard frame after transition.</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_text_keyboard_manager_8h_source.html#l00022">XHXTextKeyboardManager.h:22</a></div></div>
<div class="ttc" id="ainterface_x_h_x_text_keyboard_manager_html"><div class="ttname"><a href="interface_x_h_x_text_keyboard_manager.html">XHXTextKeyboardManager</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_text_keyboard_manager_8h_source.html#l00046">XHXTextKeyboardManager.h:47</a></div></div>
<div class="ttc" id="ainterface_x_h_x_text_keyboard_manager_html_af91fb8bd3f946a6f31b51e1f33879ef6"><div class="ttname"><a href="interface_x_h_x_text_keyboard_manager.html#af91fb8bd3f946a6f31b51e1f33879ef6">XHXTextKeyboardManager::keyboardView</a></div><div class="ttdeci">UIView * keyboardView</div><div class="ttdoc">Get the keyboard view. nil if there's no keyboard view.</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_text_keyboard_manager_8h_source.html#l00058">XHXTextKeyboardManager.h:58</a></div></div>
<div class="ttc" id="ainterface_x_h_x_text_keyboard_manager_html_a300dd1d5b91c7b6c7c835673897dfe05"><div class="ttname"><a href="interface_x_h_x_text_keyboard_manager.html#a300dd1d5b91c7b6c7c835673897dfe05">XHXTextKeyboardManager::keyboardVisible</a></div><div class="ttdeci">BOOL keyboardVisible</div><div class="ttdoc">Whether the keyboard is visible.</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_text_keyboard_manager_8h_source.html#l00061">XHXTextKeyboardManager.h:61</a></div></div>
<div class="ttc" id="ainterface_x_h_x_text_keyboard_manager_html_aabbe90d0540d26343ca02eed90abb2fd"><div class="ttname"><a href="interface_x_h_x_text_keyboard_manager.html#aabbe90d0540d26343ca02eed90abb2fd">+[XHXTextKeyboardManager defaultManager]</a></div><div class="ttdeci">nullable instancetype defaultManager()</div><div class="ttdoc">Get the default manager (returns nil in App Extension).</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_text_keyboard_manager_8m_source.html#l00119">XHXTextKeyboardManager.m:162</a></div></div>
<div class="ttc" id="astruct_x_h_x_text_keyboard_transition_html"><div class="ttname"><a href="struct_x_h_x_text_keyboard_transition.html">XHXTextKeyboardTransition</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_text_keyboard_manager_8h_source.html#l00018">XHXTextKeyboardManager.h:18</a></div></div>
<div class="ttc" id="ainterface_x_h_x_text_keyboard_manager_html_ab0735fbc05863c75b54e12fb9b59c440"><div class="ttname"><a href="interface_x_h_x_text_keyboard_manager.html#ab0735fbc05863c75b54e12fb9b59c440">XHXTextKeyboardManager::keyboardFrame</a></div><div class="ttdeci">CGRect keyboardFrame</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_text_keyboard_manager_8h_source.html#l00065">XHXTextKeyboardManager.h:65</a></div></div>
<div class="ttc" id="ainterface_x_h_x_text_keyboard_manager_html_aa491574a2e8b5ab1352f8e5615ca6ef4"><div class="ttname"><a href="interface_x_h_x_text_keyboard_manager.html#aa491574a2e8b5ab1352f8e5615ca6ef4">XHXTextKeyboardManager::keyboardWindow</a></div><div class="ttdeci">UIWindow * keyboardWindow</div><div class="ttdoc">Get the keyboard window. nil if there's no keyboard window.</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_text_keyboard_manager_8h_source.html#l00055">XHXTextKeyboardManager.h:55</a></div></div>
<div class="ttc" id="astruct_x_h_x_text_keyboard_transition_html_a0b00535442714dc6ccf8e68a34fb91f3"><div class="ttname"><a href="struct_x_h_x_text_keyboard_transition.html#a0b00535442714dc6ccf8e68a34fb91f3">XHXTextKeyboardTransition::fromVisible</a></div><div class="ttdeci">BOOL fromVisible</div><div class="ttdoc">Keyboard visible before transition.</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_text_keyboard_manager_8h_source.html#l00019">XHXTextKeyboardManager.h:19</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_239477a81a2ab79e0d8063b296b43f74.html">KeyboardManager</a></li><li class="navelem"><a class="el" href="_x_h_x_text_keyboard_manager_8h.html">XHXTextKeyboardManager.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
